#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;

struct Input{
    vector<double> numbers;
    size_t bin_count{};
};
Input
input_data(istream& in)
{
    Input inn;
    size_t number_count;
    in >> number_count;
    inn.numbers.resize(number_count);

    vector<double> numbers(number_count);
    for (size_t i=0; i< number_count; i++) {
        in >> inn.numbers[i];
    }
    in >> inn.bin_count;
    return inn;
}

int main()
{
    size_t max_count;
    auto inn = input_data(cin);
    auto bins = make_histogram(inn.numbers, inn.bin_count);
    show_histogram_svg(bins);
}
